MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029882Community[OCCT] OCCT:Visualizationpublic2018-06-19 05:382018-07-30 10:13
ReporterVico Liang 
Assigned Tokgv 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029882: Visualization - AcceptDisplayMode() should be redefined in class AIS_TexturedShape
DescriptionAIS_TexturedShape has a new texture mode 3 which is not considered in base class AIS_Shape, so aTexturedShape->SetDisplayMode(3) has not effect due to AcceptDisplayMode(3) return false.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0029491closedapn Open CASCADE Visualization, AIS_Shape - filter unsupported Display Modes within ::AcceptDisplayMode() 

-  Notes
(0076828)
git (administrator)
2018-06-19 10:49

Branch CR29882 has been created by kgv.

SHA-1: dec82a90b7d10538aae68aef439739c10c9fd8d8


Detailed log of new commits:

Author: kgv
Date: Tue Jun 19 10:48:50 2018 +0300

    0029882: Visualization - AcceptDisplayMode() should be redefined in class AIS_TexturedShape
(0076831)
kgv (developer)
2018-06-19 11:22

Please take the patch.

http://jenkins-test-11.nnov.opencascade.com/view/CR29882-master-KGV/ [^]
(0077028)
git (administrator)
2018-06-25 13:58

Branch CR29882 has been deleted by kgv.

SHA-1: dec82a90b7d10538aae68aef439739c10c9fd8d8

- Related Changesets
occt: master 3e1b2bb9
Timestamp: 2018-06-19 07:48:50
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029882: Visualization - AcceptDisplayMode() should be redefined in class AIS_TexturedShape
mod - src/AIS/AIS_TexturedShape.hxx Diff ] File ]
occt: master d9f79dae
Timestamp: 2018-06-19 07:48:50
Author: kgv
Details ] Diff ]
0029882: Visualization - AcceptDisplayMode() should be redefined in class AIS_TexturedShape
mod - src/AIS/AIS_TexturedShape.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-19 05:38 Vico Liang New Issue
2018-06-19 05:38 Vico Liang Assigned To => kgv
2018-06-19 10:26 kgv Relationship added child of 0029491
2018-06-19 10:27 kgv Product Version => 7.3.0
2018-06-19 10:27 kgv Summary AcceptDisplayMode() should be redefined in class AIS_TexturedShape => Visualization - AcceptDisplayMode() should be redefined in class AIS_TexturedShape
2018-06-19 10:49 git Note Added: 0076828
2018-06-19 11:22 kgv Note Added: 0076831
2018-06-19 11:22 kgv Assigned To kgv => bugmaster
2018-06-19 11:22 kgv Severity minor => trivial
2018-06-19 11:22 kgv Status new => resolved
2018-06-19 11:22 kgv Status resolved => reviewed
2018-06-20 19:24 bugmaster Status reviewed => tested
2018-06-23 19:05 bugmaster Changeset attached => occt master 3e1b2bb9
2018-06-23 19:05 bugmaster Status tested => verified
2018-06-23 19:05 bugmaster Resolution open => fixed
2018-06-25 13:58 git Note Added: 0077028
2018-06-30 12:48 kgv Changeset attached => occt master d9f79dae
2018-06-30 12:48 kgv Assigned To bugmaster => kgv
2018-07-30 10:13 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker